Subject: FW: [Fwd: Re: [Megaco] What is a profile]

From: "Tom-PT Taylor" <[email-masked]>
Date: Thu, 9 Aug 2001 04:06:07 -0400

I have placed Christian's PDF document on the Megaco FTP site.  You can find
it at
ftp://standards.nortelnetworks.com/megaco/docs/Current/ITU-SG16/td_xxx_profi
le_support_v3.pdf

As a general note, mailman traps messages to the list when they exceed 40K.
If you have file attachments to present to the list, please send them
directly to me, including the covering note you want the list to see.  I'll
handle them like this case.

Tom Taylor
[email-masked]
Ph. +1 613 736 0961 (ESN 396 1490)

-------- Original Message --------
Subject: Re: [Megaco] What is a profile
Date: Tue, 07 Aug 2001 10:47:47 +1000
From: Christian Groves <[email-masked]>
To: [email-masked]
References:
<[email-masked]>

G'Day,

Do we need to go to such detail of creating a new draft on profiles? I
thought we should fix the text regarding profiles in the actual
recommendation. Attached in PDF is a planned contribution to SG16 that
would explain more what a profile is. I don't see the need for much more
than what's presented in the attached but obviously comment is
appreciated. 

I'm not sure that refering to the MSF profile is a good thing. To me its
not a particularly good example of a profile and certainly hasn't been
through the Megaco list. If we go down this way (which I'm not
proposing) then I believe a skeleton document is worthwhile.

Rather than a new work item in itself I think its more contained in the
"cleaning up" version 1 work item.

Regards, Christian

"Rosen, Brian" wrote:
> 
> After discussion with Peter Blatherwick we propose the following:
> "
> Profiles are a mechanism in Megaco (RFC3015/Recommendation H.248)
> to express the capabilities of an MG in a compact form in the
> registration (ServiceChange).  The MG offers a (currently single)
> profile in its registration command.  The MGC can decide, based
> on the profile, whether it is equipped to provide service to that MG.
> For an example of a profile, see
> http://www.msforum.org/techinfo/MSF-ARCH-001-FINAL_IA.pdf
> 
> The working group will prepare an informational RFC
> describing how to create a profile document and what it should
> and should not contain.  Several suggestions for additional
> profile mechanisms have been proposed, including IANA registration
> of profile names and supporting multiple profiles, which will
> be considered for inclusion in this RFC and/or version 2 of Megaco.
> "
> 
> Questions to the list:
> - does this capture why profiles are valuable, and warrant additional work
> in IETF?
> - does this capture the needed effort to properly define profiles?
> 
> > -----Original Message-----
> > From: Rosen, Brian [mailto:[email-masked]]
> > Sent: Monday, August 06, 2001 10:35 AM
> > To: [email-masked]'
> > Subject: [Megaco] What is a profile
> >
> >
> > In the megaco meeting, we discussed having a (new) charter
> > item on profiles.
> > I was asked to come up with a precise definition for this work.  My
> > suggestion is:
> >
> > Profiles are a mechanism in Megaco (RFC3015/Recommendation
> > H.248) to express
> > the capabilities of an MG in a compact form in the registration
> > (ServiceChange)
> > The MG offers a (single) profile in it's registration command.  The
> > MGC can decide, based on the profile, whether it is equipped
> > to provide
> > service to that MG.  It is an alternative to always accepting the MG,
> > and then auditing it to see if the MGC can handle the capabilities of
> > the MG.  Profiles are separate documents, which are typically
> > NOT written
> > by the IETF (or SG-16 of ITU).  For an example of a profile, see
> > http://www.msforum.org/techinfo/MSF-ARCH-001-FINAL_IA.pdf
> > The existing RFC does not define the contents of a profile,
> > and there has
> > been confusion of what should, and should not be in a
> > profile.  The working
> > group will prepare an informational RFC describing how to
> > create a profile
> > document.
> >
> > Brian
> >
> > _______________________________________________
> > Megaco mailing list
> > [email-masked]
> > http://www.ietf.org/mailman/listinfo/megaco
> >
> 
> _______________________________________________
> Megaco mailing list
> [email-masked]
> http://www.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/megaco